---
id: megamixtracker
name: MegamixTracker
description: "MegamixTracker is a HUNGARIAN Private Tracker for MOVIES / TV"
language: hu-HU
type: private
encoding: ISO-8859-2
certificates:
  - 00282e65048fabb713980ba1d7015a7512eb5224 # Expired 18th OCt 2025
links:
  - https://megamixtracker.hu/

caps:
  categorymappings:
    - {id: 26, cat: TV/Anime, desc: "Anime/Hu"}
    - {id: 27, cat: TV/Anime, desc: "Anime/Eng"}
    - {id: 9, cat: Books/EBook, desc: "eBook/Hu"}
    - {id: 16, cat: Books/EBook, desc: "eBook/Eng"}
    - {id: 38, cat: Movies/BluRay, desc: "Film/BR-BDRIP/Hu"}
    - {id: 39, cat: Movies/BluRay, desc: "Film/BR-BDRIP/Eng"}
    - {id: 4, cat: Movies/SD, desc: "Film/CAM"}
    - {id: 32, cat: Movies/DVD, desc: "Film/DVD9/Hun"}
    - {id: 31, cat: Movies/DVD, desc: "Film/DVD9/Eng"}
    - {id: 6, cat: Movies/DVD, desc: "Film/DVDR/Hu"}
    - {id: 5, cat: Movies/DVD, desc: "Film/DVDR/Eng"}
    - {id: 3, cat: Movies/HD, desc: "Film/HD/Hu"}
    - {id: 2, cat: Movies/HD, desc: "Film/HD/Eng"}
    - {id: 1, cat: Movies/SD, desc: "Film/XviD/Hu"}
    - {id: 11, cat: Movies/SD, desc: "Film/XviD/En"}
    - {id: 13, cat: Console, desc: "Játék/Konzol"}
    - {id: 17, cat: PC/Games, desc: "Játék/PC"}
    - {id: 18, cat: PC/Mobile-Other, desc: "Mobiltelefon"}
    - {id: 7, cat: PC/0day, desc: "Program/RIP"}
    - {id: 24, cat: PC/ISO, desc: "Program/ISO"}
    - {id: 34, cat: TV/HD, desc: "Sorozat/HD/Hun"}
    - {id: 33, cat: TV/HD, desc: "Sorozat/HD/Eng"}
    - {id: 12, cat: TV/SD, desc: "Sorozat/Xvid/Hun"}
    - {id: 28, cat: TV/SD, desc: "Sorozat/Xvid/Eng"}
    - {id: 14, cat: Other, desc: "Vegyes"}
    - {id: 30, cat: XXX/DVD, desc: "XXX/DVD"}
    - {id: 29, cat: XXX/x264, desc: "XXX/HD"}
    - {id: 20, cat: XXX/ImageSet, desc: "XXX/Kép"}
    - {id: 15, cat: XXX/XviD, desc: "XXX/Xvid"}
    - {id: 19, cat: Audio/Video, desc: "Zene/Klipp"}
    - {id: 35, cat: Audio/MP3, desc: "Zene/Mp3/Hun"}
    - {id: 8, cat: Audio/MP3, desc: "Zene/Mp3/Külföldi"}
    - {id: 40, cat: Audio/Other, desc: "Zene/Podcast"}
    # unlisted categories
    - {id: 83, cat: Other, desc: "unknown"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    book-search: [q]
    music-search: [q]

settings:
  - name: info_password
    type: info
    label: About Password Expiry
    default: "MegamixTracker has a <b>mandatory Password Expiry</b> regime. So if the Indexer has stopped working then the first thing you should do is check if your password has expired by login in at <a href=\"https://megamixtracker.hu/login.php\" target=\"_blank\">MegamixTracker</a>, and if necessary use the <b>Jelszó visszaállítás</b> (<i>Password Reset</i>) button to renew it."
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Filter freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      1: title
      4: added
      5: size
      7: seeders
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrentek száma egy oldalon:</b> setting to <b>100</b> on your account profile.

login:
  path: takelogin.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    biztonsagos: yes
  selectorinputs:
    csrf:
      selector: input[name="csrf"]
      attribute: value
  error:
    - selector: div.div_tartalom:contains("Sikertelen bejelentkezés")
  test:
    path: index.php
    selector: a[href^="logout.php"]

search:
  paths:
    - path: browse2.php
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
    # 0 active, 1 all, 2 deadonly
    miben: 1
    # nincs_megadva, elfogadva, hibas, nincs
    moderalas: nincs_megadva
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    # site does not support imdbid searching

  rows:
    selector: "tr.tbody:has(a[href^=\"download.php?id=\"]){{ if .Config.freeleech }}:has(img[src=\"kepek/ikon_free.png\"]){{ else }}{{ end }}"
    filters:
      - name: andmatch

  fields:
    category:
      selector: a[href^="browse2.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href*="klappe("]
    _id:
      selector: a[href*="klappe("]
      attribute: href
      filters:
        - name: regexp
          args: (\d+)
    details:
      text: "details.php?id={{ .Result._id }}"
    poster:
      selector: img[border][onmouseover]
      attribute: onmouseover
      filters:
        - name: regexp
          args: "src=(.*?) "
    description_text:
      selector: i
    description:
      case:
        img[src$="/ikon_helyes.png"]: "Verified: {{ .Result.description_text }}"
        img[src$="/ikon_ellenorizetlen.png"]: "Unverified: {{ .Result.description_text }}"
    download:
      selector: a[href^="download.php?id="]
      attribute: href
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    date:
      # 2021-11-10&nbsp;09:31:58 (17 órája  és 44 perce)
      selector: span.feltoltve-ezelott
      filters:
        - name: regexp
          args: "(\\d{4}-\\d{2}-\\d{2}\\s\\d{2}:\\d{2}:\\d{2})"
        - name: append
          args: " +01:00" # CET
        - name: replace
          args: ["\xA0", " "]
        - name: dateparse
          args: "yyyy-MM-dd HH:mm:ss zzz"
    size:
      selector: td:nth-last-child(4)
    seeders:
      selector: td:nth-last-child(3)
    leechers:
      selector: td:nth-last-child(2)
    grabs:
      selector: td:last-child
    downloadvolumefactor:
      case:
        img[src="kepek/ikon_free.png"]: 0
        "*": 1
    uploadvolumefactor:
      case:
        "font[onMouseover]:contains(\"2x\")": 2
        "font[onMouseover]:contains(\"4x\")": 4
        "*": 1
    minimumratio:
      case:
        img[src="kepek/ikon_free.png"]: 100 # dummy MR to ensure MST is met
        "*": 1.0
    minimumseedtime:
      case:
        img[src="kepek/ikon_free.png"]: 604800 # 7d
        "*": 1209600 # 14d
# TBDEV custom v2.0
